.vertical-center {
    min-height: 100%;  /* Fallback for browsers do NOT support vh unit */
    min-height: 100vh; /* These two lines are counted as one :-)       */

    display: flex;
    align-items: center;
}

.color-grey{
    background-color: #eeeeee;
}

.plus-right-margin{
    margin-right: 15px;
}

.plus-bottom-margin{
    margin-bottom: 25px;
}

.custom_error{
    margin-left: 15px;
    color: red;
}

.hover-item:hover {
    background-color: #029bce !important;
}

/*.hover-item:visited{*/
    /*background-color: #029bce !important;*/
/*}*/

.nopadding {
    padding: 0 !important;
    margin: 0 !important;
}

a.no-underscore:hover, a.no-underscore:focus {
    text-decoration: none;
}



/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}
body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    /* Set the fixed height of the footer here */
    height: 60px;
    background-color: #f5f5f5;
}


/* Custom page CSS
-------------------------------------------------- */
/* Not required for template or sticky footer method. */

body > .container {
    padding: 30px 15px 0;
}
.container .text-muted {
    margin: 20px 0;
}

.footer > .container {
    padding-right: 15px;
    padding-left: 15px;
}

code {
    font-size: 80%;
}

/*font awesome badge*/
*.icon-blue {color: #0088cc}
*.icon-grey {color: grey}

i {
    width:100px;
    text-align:center;
    vertical-align:middle;
}

.fa {
    position: relative;
}

.badge {
    font-size: .25em;
    display: block;
    position: absolute;
    top: -.25em;
    right: -.25em;
    width: 2em;
    height: 2em;
    line-height: 2em;
    border-radius: 50%;
    text-align: center;
    color: white;
    background: red;
}
